--------------------------------------
GURPS Character GURU Update History
--------------------------------------

Version 1.1.0.130: Patch #14

  - REDESIGNED: data entry pages, including skills, adv/disads, quirks and 
    possessions.
  - ADDED: ability to rename adv/disads, skills, quirks and possessions
    individually (customize for a character)
  - ADDED: support to save and load selections in Quick Pick (Buy Many) 
    dialogs
  - ADDED: support to export/import entire source books (File|Import|Books 
    and File|Export|Books)
  - FIXED: info in Possessions Quick Pick (Buy Many) dialogs now includes
    sources
  - FIXED: the File|Open dialog will now remember the last sort that you used
  - FIXED: bug in import when duplicates where found  
  - FIXED: bug when creating a new setting: the system table 
    PossessionTypes would be empty. It will now contain the appropriate
    values.
  - ADDED: column showing which "best default" is being used for each skill  
  - ADDED: support to adjust skills which default to other skills when
    the levels of these other skills are modified (and auto-adjust is
    checked in the preferences).
  - ADDED: rudimentary support for customizing the value for Kick on the
    character sheet. In order to have a value appear there, you must 
    add a user-value called "Kick" (via Catalogs|User-defined Values) and
    then for each character which you want to have Kick appear, 
    select the Kick user-value (via Action|Manage User-values) and
    give it the value which you want to see appear.
  - MODIFIED: quick-pick possessions to default TL range to be from
    character TL-1 to character TL+1
  - ADDED: support to "freeze" first column in skills, adv/disads, etc
    character pages. Note that you cannot edit the name if the column
    is frozen.
  - ADDED: support to change the "sort value" via the Action menu (the last
    two items)  

Version 1.1.0.125: Patch #13

  - ADDED: graphical tool to select body cover for armor via the
    Catalogs|Armors/Weapons/Possessions screen
  - ADDED: "carried" total on back of character sheet
  - ADDED: symbol to differentiate items that are carried from 
    those that are not. Carried items will get a two-dot red symbol
    next to them in the summary list.
  - FIXED: bug where the Engineer/TL skill was not being modified
    by the Intuitive Mathematicien advantage.    
  - ADDED: support for the Extra Encumbrance advantage modifier. 
    For this to work with your existing data files, you must 
    manually add the following to the Extra Encumbrance's 
    modifiers via the Catalogs|Advantages/Disadvantages: 
      [ENCUMBRANCE:2,5,10,20,30] 
  - FIXED: problem with character picture. GURU appeared to be
    able to only remember the last picture that was stored.
  - FIXED: an error would occur if you tried to make a copy of
    a possession in the Weapons/Armor/Possessions catalog.
  - ADDED: calculation field to user-values. Note that this is used
    only for calculating Parry and Block currently but this will 
    change in the next version.
  - ADDED: expression engine to calculate expressions entered
    in the calculation field of User-Values. The following functions
    are currently defined in this engine (more will be added):
        Max(n1,n2)	         maximum value
        Min(n1,n2)	         minimum value
        Equal(n1,n2)	         n1 is equal to n2
        LT(n1,n2)		 n1 less than n2
        LE(n1,n2)		 n1 less than or equal to n2
        GT(n1,n2)		 n1 greater than n2
        GE(n1,n2)	         n1 greater than or equal to n2
        IIF(n1,n2,n3)	         if n1 <> 0 then return n2 else return n3
        Power(n1,n2)	         raise n1 to the power of n2
        RoundDown(n)	         round down value 
        RoundUp(n)	         round up value
        SkillInGroup(s1,s2)	 return 1 if skill s1 is in skill group s2
        SkillCost(s)	         return cost of skill s
        SkillLevel(s)	         return level of skill s  
        HasSkill(s)              return 1 if PC has skill s 
  - CHANGED: the way the Parry is calculated. It now uses the
    calculation found in the User-Values catalog.
    Note that if you want to use Karate as your parry skill, instead 
    the skill of a weapon, you need to do two things:
    1) you need to add a new weapon with the following info:
         Name: Karate
         ItemType: Weapon
         Category: Melee
         TL: 5
         Cost: 0
         Related Skill: Karate
    2) you need to add this weapon and skill to your character (and
       make sure the Karate weapon is first in the list of possessions)
  - ADDED: new skill group called Parry_2_3 which contains
    those skills which should calculate parry as 2/3 instead
    of the default 1/2.    
  - CHANGED: the way that Block is calculated. It now uses the
    calculation found in the USer-Values catalog which takes
    into account the Cloak skill.  
  - FIXED: problem where skill levels would rise to a value of 102
    when a skill cost was manually entered for it (e.g. 0). 
  - FIXED: changed behavior so that multiple armor adds DR but uses
    max value for PD (instead of adding PD) as per p.B72.   
  - ADDED: utility to repair tables (tables can become corrupted if GURU
    is not exited properly due to a machine crash, for example)
  - CHANGED: custom costs for Skills can now accept fractions (e.g. 2.5)
    rather than be limited to whole numbers

Version 1.1.0.124: Patch #12

  - FIXED: colors on the Quirks page did not reflect your 
    choice in your preferences
  - FIXED: could not delete quirks unless you had some
    adv/disad items entered first  
  - FIXED: racial skill bonus levels were not used 
    properly to calculate skill costs of characters of
    that race. For example, a halfling with DX=1 and the
    Sling skill at 12 would mistaken cost 4 points when
    it should cost only 2 points (+2 bonus levels for a 
    halfling).
  - ADDED: support for multiple page output for both front
    and back standard output format  
    
Version 1.1.0.123: Patch #11

  - FIXED: problem when using Buy Many. You would get a DBISAM
    error under various situations.
  - ADDED: spell cost is now included after the spell level

Version 1.1.0.122: Patch #10

  - VERSION: changed from 1.0 to 1.1
  - CONVERTED: data file format from Paradox to DBISAM
    (this gets rid of GURU's dependance on the BDE). The old
    files are not compatible with this new version of the
    application. You can convert the old data files to the
    new format using a utility available in the downloads
    area of the web site.
  - CHANGED: default data path from "guru\data" to 
    "guru\settings\default"
  - ADDED: support for the MALF field in Possessions
  - REMOVED: pack and reindex from Maintenance utility. These are
    no longer necessary with the new tables.   
  - ADDED: high-tech weapons  
  - CHANGED: character/race/template list has been moved to a
    dialog (File | Open)
  - ADDED: Quirks are now handled separately from Adv/Disads. They
    have their own page and their own catalog and categories.  
  - ADDED: basic support for multiple separate settings

Version 1.0.0.120: Patch #9

  - FIXED: when displaying skill levels as attributes
    and skills overflowed into additional pages,
    sometimes the attributes would not get shown
  - ADDED: option for left margin adjustment (positive 
    and negative) for printing of front page
  - FIXED: display problem where attributes were sometimes
    not displayed properly when application would start
  - FIXED: sometimes would ask to save even though nothing
    was changed
  - FIXED: error when clicking on Story or Notes on a newly
    created PC
  - ADDED: basic support for equipment when exporting to
    Word Processor format (Word or WordPerfect). The
    following new keywords are available: [WEAPON], [ARMOR],
    [SHIELD] and [EQUIPMENT]. A new Sample.Doc file is also
    included.
  - FIXED: sometimes the skill and cost of a ranged weapon
    would not be displayed. It should now display.    
      
Version 1.0.0.118: Patch #8

  - IMPROVED: import of Makechar is a bit more sturdy
    with regards to handling text files used to import.
  - ADDED: ability to display skill levels in the 
    format DX-2 next to skill level.
  - IMPROVED: support for slightly more complex modifiers
    for items such as Hearing.  For those items which
    use to have modifiers such as "Hearing+{level}" you
    can now optionally add or substract an attribute 
    (e.g. Hearing+{level}-IQ).  Furthermore, you can
    also add or substract to that a simple value
    (e.g. Hearing+{level}-IQ+2).
  - FIXED: bug where characters with double defaults 
    would show the wrong calculated costs when first loaded
    (but these costs would get corrected if you 
    manually did a recalculation).
  - ADDED: half dmg and MaxRange can now do simple 
    calculations (such as ST-5)
  - FIXED: Minimum ST required was not printing the
    correct value
  - CHANGED: default weapon quality is "Good" instead of
    "Poor" for weapons imported from Makechar
  - FIXED: removed display of sw-type damage in the ranged
    weapons section of the back page      
  - FIXED: custom costs would not allow fractions to be
    entered
  - FIXED: entering Two-Handed Sword as a custom default
    would generate an error
  - FIXED: attributes were not costing double when in play
  - ADDED: player name to Supplement-style output
  - ADDED: button to remove the $ cost of a possession from
    the total amounts of money that a character has

Version 1.0.0.117: Patch #7

  - ADDED: support for attribute modifiers (e.g. HT+2)
    Note that levels aren't changed automatically by the
    application, but costs are adjusted based on the 
    bonus.  Also, HT+2 gives a bonus and HT-2 gives a
    penalty.  Finally, only adv/disads are checked for 
    attribute modifiers.
  - FIXED: bug whereby when you clicked to select an
    item from the dropdown box (for example, to 
    choose a different adv/disad from the combobox's
    dropdown list), the wrong one would get selected.
    This only happened via the mouse, not when using
    the keyboard. 
  - FIXED: problem running on machines that had no 
    printers installed at all.
      
Version 1.0.0.112: Patch #6

  - ADDED: Basic support for importing Makechar 
    characters (import support for Makechar data files
    had been added to GURU some time ago)
  - ADDED: Basic support for importing GCA 2 characters
  - ADDED: Basic XML export of characters, races and
    templates
  - ADDED: Quick Search feature to the Catalogs
  - FIXED: Could not add Source books under Win95
  - ADDED: Support for equipment in Supplement-style
    output

  Note: support for import/export is still very simple.
        It should help you import/export most characters
        but it likely won't do a perfect job (it will 
        give you a list of those items it could not
        import, though, so you should be able to finish
        the job by hand).  It will not create items such
        as skills but will try to match the ones that
        exists already.
      
Version 1.0.0.110: Patch #5

  - FIXED: Basic Info sorting of the attribute, point 
    total, tech level and money columns was not working
    correctly
  - ADDED: Close option to Catalogs menu
  - FIXED: Could not manually modify enhancements and
    limitations  
  - FIXED: when dragging an item outside of the list 
    box, you get an error "List Index Out of Bound" 
    and the item is lost.
  - ADDED: button on main toolbar to do recalculations
  - FIXED: could not enter a negative number in custom
    costs for skills and adv/disads
  - FIXED: Catalogs|Source Books, menu Action|Delete 
    then Cancel.  Try to modify stuff, it would not 
    work properly anymore.
  - ADDED: when quantity of a possession is different 
    than 1, it will now be displayed next to that 
    possession on page 2 of the GURPS Character sheet
  - FIXED: when showing the adv/disad page, the screen 
    flash like crazy if there are more than a handfull
    of adv/disads (this may only happen under NT 4).
  - FIXED: when a skill is modified by another skill 
    (e.g. Linguistics modifies languages) the program 
    mistakenly states that it is an adv that is 
    giving the bonus in the annotated cost breakdown
  - FIXED: Reduced Move: should be able to "reduce" 
    attributes such as move, not just give bonuses
    (note that you must add a modifier: "Move-{level}"
    to the "Reduced Move" disad for it to work
  - FIXED: Absolute Direction does not give a bonus to 
    Navigation/TL, only to Navigation
  - FIXED: Running affects Dodge but it should not
  - FIXED: Increased Speed doesn't give a bonus to 
    Speed (must manually add "Speed+{level}" to 
    current modifiers for this to work)
  - FIXED: Carried items should be counted in the 
    total weight, even if they are not "in use"
  - FIXED: I created a Vision user value and 
    assigned it to be displayed in Box 1 but it 
    doesn't actually appear.
    

Version 1.0.0.104: Patch #4

  - ADDED: support for Perception
  - MODIFIED: user values so that they can override things
    like Will, Vision and Perception
  - ADDED: new entries to Skill Roll utility, including
    full support for Fright Checks (including result of
    failure)  
  - FIXED: when changing skill or adv/disad level, changes
    to cost were not being reflected in Actual Cost box
    in the detail section of the page
  - ADDED: button to automatically go to best default 
    skill level for the current skill on the Skills page   
  - FIXED: when using F12 (View Details) in the "Buy Many"
    screen, this would sometimes generate a "Corrupt file
    except header" error.  
  - FIXED Weapons with three damage types (e.g. Halberds) 
    only showed the first two.
  - FIXED: Sort by date doesn't in the Basic Info screen
  - FIXED: If you enter a description for a weapon, the 
    Pt.Cost and Level won't be displayed anymore on the 
    back of the character sheet
  - FIXED: Skill bonuses should now be calculated from
    unmodified skills
  - FIXED: The reaction modifiers chart from the printed 
    character sheet didn't mention my Charisma, though it 
    mentioned my other bonuses.
  - FIXED: If you have Rapier and other weapons, and 
    Rapier comes first, it will miscalculate Parry using 
    the 2/3 instead of 1/2 as it should (except for 
    Rapier)
  
             
Version 1.0.0.100: Patch #3

  - FIXED: Speed was not being calculated properly when
    a character had been "In Play" and either HT or DX
    had been raised after going "In Play".
  - FIXED: Speed was ignoring any modifiers unless the
    character was "In Play"  
  - ADDED: Alternate method of selecting skills and
    adv/disads.  You can now press F10 (or select the
    appropriate menu item or speed button) to open
    a list of items ordered by categories.
  - ADDED: preference option to make calling the new
    alternate "By category" screen automatically when
    adding new adv/disad/skills (default: false)
  - FIXED: when starting GURU, if both "hide r/t" was 
    off and no other filters were set, nothing is shown
  - FIXED: Force Shields uses itself as default!
  - ADDED: Summary page now shows total number of points
    used
  - CHANGED: reorganized Preferences by adding new page
    ("Rules") and renaming the first page to "Interface"
  - CHANGED: character sheet output doesn't put the 
    "QUIRKS / " in front of quirks anymore
  - ADDED: annotated cost breakdown now shows summary
    and total
  - ADDED: support for saving filter options in "Buy
    Many" screens (three options: Save nothing, Save
    for Session Only, Save Always)
  - ADDED: support for View Details for selected item
    in "Buy Many" screens (using button or F12 
    keyboard shortcut) 
  - FIXED: import doesn't import equipment properly
    
          
Version 1.0.0.95: Patch #2

  !!!NAME CHANGE!!! Creator is now called GURU

  - ADDED: option to save to HTML for Supplement style
    printing as well as for the Grimoire and Martial
    Arts output formats.
  - ADDED: menu items for exporting to RTF, Text, HTML,
    BMP, and EMF file format (it simply points people
    to the Print options that do these things)
  - FIXED: fencing lets people use 2/3 for their parry
  - CHANGED: import will now ignore the build number
  - FIXED: bug when auto-adjust level is on, changing
    IQ/DX for character whose race has racial skills
    causes the racial skill to have incorrect levels
  - FIXED: when choosing a race which has high IQ or
    other features that affect cost of spells, spells
    were not being adjusted so that they kept a minimum
    cost of 1.0 (if that option is checked in the
    Preferences).
  - ADDED: preference option to allow Block to only be
    shown when the character actually has a shield
    (default: false)
  - ADDED: preference option to have all adv/disad
    automatically show the enhancement/limitations
    box (default: true)
  - FIXED: if a race (e.g. Alphan) has a racial quirk,
    then the "description" will show all quirks as
    racial quirks for characters created with that
    race.
  - ADDED: option to toggle printing in uppercase or
    not
  - ADDED: support for two new user values: Block and
    Parry.  If these exist, and are selected for a
    specific user, then their values will be used
    in lieu of the calculated value
  - ADDED: preference option to avoid calcuting
    attribute cost differently when using races
  - FIXED: right-clicking on the header of the grid
    on the Basic Info, Adv/disad, skills and
    possessions pages would duplicate the header
    row (and sometimes crash GURU)


Version 1.0.0.80: Patch #1

  - FIXED: problem with Eidetic memory affecting spells
    with both cost modifier and bonus (only the bonus
    should be used, as per p. B20)
  - FIXED: problem of racial attributes being doubled when
    race is selected in the New dialog box
  - FIXED: problem on some video cards / common control
    versions where Creator would sometimes freeze at
    start up
  - FIXED: When printing characters that have too many
    skills to fit on the character sheet, additional info
    would get printed together with the outstanding skills
    on the next pages (when only the outstanding skills
    should have appeared, unless the "Print Optional Info"
    option was checked)
  - FIXED: when checking the "Covers" field in the
    possessions catalog for PD and suchlike, should check
    for unusual combinations, not just the ones in the
    book.  For example, instead of check for 13-14,
    I should be able to also handle 12-14, etc.
  - FIXED: shield would show incorrect PD/imp value if
    any armor was taken other than a shield, and even
    when no shields were taken!
  - FIXED: when using a Quarterstaff, Parry should be 2/3
    of skill instead of 1/2
  - FIXED: when changing from "flat" look to regular look
    in the preference options for buttons, and if the
    current page was any other than Basic Info and the
    the button text was currently being shown, the height
    of the buttons would "shrink" and thus some of the
    text would be hidden
  - FIXED: groups in Template Options did not work
    properly (all items would still appear in as part
    of character, regardless of choices made).
  - FIXED: when deleting used items from the catalogs,
    system hangs?
  - FIXED: skill groups: cannot create new skill group
    when using the action menu or keyboard shortcuts,
    only via the main toolbar
  - FIXED: multiple similar skills defaulting to itself
    doesn't work properly (e.g. Beam Weapons)
  - FIXED: double defaults not handle properly


Version 1.0.0.74: First release
